Subject: Re: How do you strip a dll ?
From: [email-masked]

1 Apr 1998 08:35:52 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=cp437
Content-Transfer-Encoding: 8bit
To: [email-masked]

>   Steve Biskis ([email-masked])
>   Mon, 23 Mar 1998 16:34:39 -0800
>> Quick couple o' questions for you gnu-win32 dll experts:
>>
>> I never have any problems running stripped .exe's.
>> However, when I strip my .dll and then run an app that
>> accesses it, I get a pop-up that says:
>>
>> "The application or DLL  is not a valid Windows NT image.
>> Please check this against your installation diskette."
>>
>> Are there some special flags that need to be provided to strip dlls ?
>>
Stripping a cgywin .a library makes it invalid.  You have to link the 
library into an executable and then strip the executable.  I am guessing
the same thing happens when you strip a .dll file.

In other words, don't strip dll's, especially in public in broad daylight.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".